version: '3'

services:   

    app:
        image: my-alchemy-app
        volumes: 
        - ./app/:/app/
        build:
            dockerfile: Dockerfile
            context: ./

    mysql:
        image: mysql
        command: mysqld --default-authentication-plugin=mysql_native_password
        #container_name: mysql
        restart: unless-stopped
        environment:
            MYSQL_ROOT_PASSWORD: "123"
            MYSQL_ROOT_HOST: "%"
            MYSQL_DATABASE: "college"
        ports:
            - 3306:3306
        volumes:
            - dbdocker_mysql:/var/lib/mysql
    adminer:
        image: adminer:4.8.0
        #container_name: adminer
        restart: unless-stopped
        ports:
            - 8080:8080
        environment:
            ADMINER_DESIGN: "hever"
            ADMINER_PLUGINS: "edit-calendar edit-foreign edit-textarea" 
            ADMINER_DEFAULT_SERVER: "mysql"
            ADMINER_SERVER: "mysql"
            ADMINER_USERNAME: "root"
            ADMINER_PASSWORD: "123"

volumes:
    dbdocker_mysql:
